Subject: Re: bug#19981: 24.4; Flaws in Eshell

From: Stefan Kangas <[email-masked]>
Date: Sun, 01 Dec 2019 09:13:10 +0100

tags 19981 + wontfix notabug
close 19981
thanks

Eli Zaretskii <[email-masked]> writes:

>> Date: Tue, 03 Mar 2015 00:06:21 +0800
>> From: Chen Xiaodong <[email-masked]>
>> 
>> 
>> Compared with the command "dir" in shells of Window 2000/XP/7, as a 
>> novice to Eshell, I think there are big inconveniences in it.
>> (1)I can't get only directories listed with "ls -d" ("dir /ad" in 
>> Windows), likewise, can't get only files listed("dir /a-d" in Windows).
>> (2)I can't find out how many files there are and how much diskspace 
>> available with "ls" nor "du". These two items usually comes with "dir" 
>> in Windows.
>> 
>> Should there be some improvements?
>
> You can have all that in Eshell with "cmd /c dir ...".
>
> The built-in Eshell commands emulate their Unix namesakes, so they
> present features in those commands.

I don't think we want to add the Windows equivalents here, and Eli has
already demonstrated how one can do these things.  I'm therefore
closing this bug report.

If anyone disagrees with that, please reopen the bug report (or just
reply to this email if you don't know how to do that).

Best regards,
Stefan Kangas